Initial SEBA charts
Change-Id: I78a85b2d27ac343c1c220e388306005de043313c
diff --git a/tools/wait-for-pods.sh b/tools/wait-for-pods.sh
new file mode 100755
index 0000000..f6ea657
--- /dev/null
+++ b/tools/wait-for-pods.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+# Copyright 2017 The Openstack-Helm Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may
+# not use this file except in compliance with the License. You may obtain
+# a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations
+# under the License.
+set -e
+
+# From Kolla-Kubernetes, orginal authors Kevin Fox & Serguei Bezverkhi
+# Default wait timeout is 600 seconds
+end=$(date +%s)
+if ! [ -z $2 ]; then
+ end=$((end + $2))
+else
+ end=$((end + 900))
+fi
+while true; do
+ kubectl get pods --namespace=$1 -o json | jq -r \
+ '.items[].status.phase' | grep Pending > /dev/null && \
+ PENDING=True || PENDING=False
+ query='.items[]|select(.status.phase=="Running")'
+ query="$query|.status.containerStatuses[].ready"
+ kubectl get pods --namespace=$1 -o json | jq -r "$query" | \
+ grep false > /dev/null && READY="False" || READY="True"
+ kubectl get jobs -o json --namespace=$1 | jq -r \
+ '.items[] | .spec.completions == .status.succeeded' | \
+ grep false > /dev/null && JOBR="False" || JOBR="True"
+ [ $PENDING == "False" -a $READY == "True" -a $JOBR == "True" ] && \
+ break || true
+ sleep 5
+ now=$(date +%s)
+ [ $now -gt $end ] && echo containers failed to start. && \
+ kubectl get pods --namespace $1 -o wide && exit -1
+done